Bug 156134 - RFE: Consider linking in SourceForge to "External Bugzilla References" pulldown
RFE: Consider linking in SourceForge to "External Bugzilla References" pulldown
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-04-27 15:59 EDT by Dave Wysochanski
Modified: 2013-06-23 22:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-03-30 14:57:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Wysochanski 2005-04-27 15:59:28 EDT
RedHat can evaluate the value of this suggestion as they see fit.  Might require
some interaction with SourceForge web team to make sure the links continue to
work well (and anticipate any changes).  Productivity wise, it may very well be
worth it though depending on how many projects RedHat gets from SourceForge.

Email trail follows.


David Wysochanski wrote:

 > Hi,
 > I work with Tom Coughlan on the iSCSI protocol in Red Hat
 > distros.
 > I just filed a bugzilla that refers to a bug on SourceForge.
 > Would it make sense to add "SourceForge" as an option in
 > the pulldown?  Or is this not the intent of this field?
 > In my case I put the reference to the SourceForge
 > bug in the bug description with a link.
 > https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=156125
 > Thanks.

I thought about this before but is not as easy as adding it to the list.
Sourceforge is not using a Bugzilla based system so is a little more
difficult to dynamically generate a link based on a stored integer
value. I will have to
be able to flag that entry in the db as a special URL and form it
differently than the others. Please file an RFE
under Bugzilla/2.18.


David Lawrence <dkl@redhat.com>
   Red Hat Quality Assurance
www.redhat.com   ftp.redhat.com
Comment 1 David Lawrence 2005-04-27 16:12:38 EDT
Thanks for the report. Will look into it deeper.
Comment 2 David Lawrence 2010-01-15 12:32:14 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this feature will need to be implemented against the new release.
Updating bug version to 3.2.
Comment 3 David Lawrence 2010-03-30 14:57:05 EDT
Red Hat Bugzilla cannot support this directly at this time for all of Sourceforge due to the way they form their URLs. In addition to the actual ticket ID you also need additional information such as a group id, etc. For example for the DVDStyler project, to reference a complete bug report the URL looks like this:


The way we form the URLs for our Bugzilla is the following:


Where the %id% is filled in from a single integer value stored in a database table.

This will work for our installation if we have multiple entries in the drop down, one for each Sourceforge project is used instead of just a single Sourceforge option for all projects. So that we would store the URL in the database as:


Then the actual ticket ID can be stored and populated to %id% when needed. And the drop down would show just "DVDStyler" or "DVDStyler Sourceforge Project", etc.

If this is an acceptable solution and you have one or more specific Sourceforge projects you would like added to the drop down, then reopen this ticket letting us know what to add.


Note You need to log in before you can comment on or make changes to this bug.